Project

General

Profile

Actions

Bug #15850

closed

Deprecate and remove optparse/ac

Added by shyouhei (Shyouhei Urabe) over 3 years ago. Updated about 3 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
[ruby-core:92651]

Description

  • It seems not maintained since forever.
  • Not documented in any form.
  • I have never seen someone actually using it.
  • It does not actually emulate autoconf; for instance it cannot parse --enable-fiber-coroutine=amd64 (this is a valid option that ruby itself takes).

I think this tiny script is better placed under sample/optparse.

Actions #1

Updated by nobu (Nobuyoshi Nakada) about 3 years ago

  • Backport changed from 2.4: UNKNOWN, 2.5: UNKNOWN, 2.6: UNKNOWN to 2.4: REQUIRED, 2.5: REQUIRED, 2.6: REQUIRED
  • Status changed from Open to Closed
Actions

Also available in: Atom PDF